Publish successor
curl --request POST \
--url https://api.sortx.co.uk/documents/{id}/supersede \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"successorId": "<string>",
"requestId": "<string>",
"expectedRevision": 0,
"expectedSuccessorRevision": 0
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
successorId: '<string>',
requestId: '<string>',
expectedRevision: 0,
expectedSuccessorRevision: 0
})
};
fetch('https://api.sortx.co.uk/documents/{id}/supersede', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/documents/{id}/supersede"
payload = {
"successorId": "<string>",
"requestId": "<string>",
"expectedRevision": 0,
"expectedSuccessorRevision": 0
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"subjectKind": "<string>",
"subjectId": "<string>",
"kind": "<string>",
"name": "<string>",
"storageKey": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"reference": "<string>",
"issuedOn": "<string>",
"expiresOn": "<string>",
"notes": "<string>",
"contentDigest": "<string>",
"bytesState": "<string>",
"fileIntent": "<string>",
"revision": 123,
"supersedesDraftId": "<string>",
"supersedesId": "<string>",
"uploadedByUserId": "<string>",
"archivedAt": "<string>",
"createdAt": "<string>",
"eicrOutcome": "<string>",
"remedialsDueOn": "<string>",
"remedialsCompletedOn": "<string>",
"epcRating": "<string>",
"coAlarmChecked": true,
"certificateDetail": null
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}documents
Publish successor
Publish a distinct, already sealed document as this one’s replacement
POST
/
documents
/
{id}
/
supersede
Publish successor
curl --request POST \
--url https://api.sortx.co.uk/documents/{id}/supersede \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"successorId": "<string>",
"requestId": "<string>",
"expectedRevision": 0,
"expectedSuccessorRevision": 0
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
successorId: '<string>',
requestId: '<string>',
expectedRevision: 0,
expectedSuccessorRevision: 0
})
};
fetch('https://api.sortx.co.uk/documents/{id}/supersede', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/documents/{id}/supersede"
payload = {
"successorId": "<string>",
"requestId": "<string>",
"expectedRevision": 0,
"expectedSuccessorRevision": 0
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"subjectKind": "<string>",
"subjectId": "<string>",
"kind": "<string>",
"name": "<string>",
"storageKey": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"reference": "<string>",
"issuedOn": "<string>",
"expiresOn": "<string>",
"notes": "<string>",
"contentDigest": "<string>",
"bytesState": "<string>",
"fileIntent": "<string>",
"revision": 123,
"supersedesDraftId": "<string>",
"supersedesId": "<string>",
"uploadedByUserId": "<string>",
"archivedAt": "<string>",
"createdAt": "<string>",
"eicrOutcome": "<string>",
"remedialsDueOn": "<string>",
"remedialsCompletedOn": "<string>",
"epcRating": "<string>",
"coAlarmChecked": true,
"certificateDetail": null
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json
Response
Success